Method: projects.locations.apps.retrieveToolSchema

지정된 도구의 스키마를 가져옵니다. 스키마는 지정된 도구 인스턴스에 대해 즉석에서 계산됩니다.

HTTP 요청

POST https://ces.googleapis.com/v1/{parent=projects/*/locations/*/apps/*}:retrieveToolSchema

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
parent

string

필수 항목입니다. 도구/툴셋이 속한 앱의 리소스 이름입니다. 형식: projects/{project}/locations/{location}/apps/{app}

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "tool": string,
  "toolsetTool": {
    object (ToolsetTool)
  }
  // End of mutually exclusive fields.
}
필드
스키마를 가져올 도구의 식별자입니다. 지속형 도구 또는 도구 세트의 도구일 수 있습니다. 다음은 상호 배타적인 필드의 목록입니다. 응답에는 다음 필드 중 최대 하나가 설정됩니다.
tool

string

(선택사항) 스키마를 가져올 도구의 이름입니다. 형식: projects/{project}/locations/{location}/apps/{app}/tools/{tool}

toolsetTool

object (ToolsetTool)

(선택사항) 스키마를 가져올 도구 세트 도구입니다. 도구 세트의 프레디케이트와 일치하는 도구는 하나만 있어야 합니다. 그렇지 않으면 오류가 반환됩니다.

상호 배타적 필드의 끝입니다.

응답 본문

ToolService.RetrieveToolSchema의 응답 메시지입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "inputSchema": {
    object (Schema)
  },
  "outputSchema": {
    object (Schema)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "tool": string,
  "toolsetTool": {
    object (ToolsetTool)
  }
  // End of mutually exclusive fields.
}
필드
inputSchema

object (Schema)

도구 입력 매개변수의 스키마입니다.

outputSchema

object (Schema)

도구 출력 매개변수의 스키마입니다.

스키마가 적용되는 도구의 식별자입니다. 다음은 상호 배타적인 필드의 목록입니다. 응답에는 다음 필드 중 최대 하나가 설정됩니다.
tool

string

스키마가 적용되는 도구의 이름입니다. 형식: projects/{project}/locations/{location}/apps/{app}/tools/{tool}

toolsetTool

object (ToolsetTool)

스키마가 적용되는 도구 세트 도구입니다.

상호 배타적 필드의 끝입니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

parent 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • ces.tools.get

자세한 내용은 IAM 문서를 참조하세요.